## org.exist.util
Class LongLinkedList.ListItem

    java.lang.Object
      org.exist.util.LongLinkedList.ListItem

All Implemented Interfaces:
  java.lang.Comparable

Enclosing class:
  LongLinkedList

public static class LongLinkedList.ListItem
extends java.lang.Object
implements java.lang.Comparable

Field Summary
`long` `l`
`LongLinkedList.ListItem` `next`
`LongLinkedList.ListItem` `prev`

Constructor Summary
`LongLinkedList.ListItem()`
`LongLinkedList.ListItem(long l)`

Method Summary
`int` `compareTo(java.lang.Object o)`
`LongLinkedList.ListItem` `getNext()`
`long` `getValue()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### l

    public long l

### next

    public LongLinkedList.ListItem next

### prev

    public LongLinkedList.ListItem prev

Constructor Detail

### LongLinkedList.ListItem

    public LongLinkedList.ListItem()

### LongLinkedList.ListItem

    public LongLinkedList.ListItem(long l)

Method Detail

### getValue

    public long getValue()

### getNext

    public LongLinkedList.ListItem getNext()

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  See Also:
    `Comparable.compareTo(java.lang.Object)`

Copyright (C) Wolfgang Meier. All rights reserved.